import { JupyterFrontEnd } from '@jupyterlab/application';
import { ISettingRegistry } from '@jupyterlab/settingregistry';
import { IDocumentManager } from '@jupyterlab/docmanager';
interface ITransformPollingManagerProps {
    docManager: IDocumentManager;
    app: JupyterFrontEnd;
    getSettings: () => Promise<ISettingRegistry.ISettings>;
}
export declare class TransformPollingManager {
    constructor(props: ITransformPollingManagerProps);
    /**
     * A promise that resolves when the settings have been loaded.
     */
    get ready(): Promise<void>;
    startPolling(uid: string, filename: string, dirname: string): void;
    acceptFile(): void;
    declineFile(): void;
    openTransformedFile(transformedPath: string): void;
    private _oldFile;
    private _newFile;
    private _docManager;
    private _app;
    private _ready;
    private _mutableAI;
    private polling;
    private pollingCache;
}
export {};
